<div class="usersList">
    <div class="row justify-content-center">
        <div class="col-lg-6">
            <h3>Liste des utilisateurs</h3>
        </div>
    </div>
    <div class="row">
        <div class="col-lg-12">
            <table class="table table-bordered">
                <thead>
                <tr>
                    <th scope="col">#</th>
                    <th scope="col">Nom</th>
                    <th scope="col">Email</th>
                    <th scope="col">Roles</th>
                    <th scope="col"></th>
                </tr>
                </thead>
                <tbody>
                {% for user in users %}
                    <tr>
                        <th scope="row">{{ user.id }}</th>
                        <td>{{ user.firstName | capitalize }} {{ user.lastName|capitalize }}</td>
                        <td>{{ user.email }}</td>
                        <td>
                            {% for role in user.roles %}
                                {% if role == 'ROLE_ADMIN' %}
                                    <p>Adminsitrateur</p>
                                {% else %}
                                    <p>Utilisateur simple</p>
                                {% endif %}
                            {% endfor %}
                        </td>
                        <td>
                            <div class="dropdown">
                                <button class="btn btn-secondary dropdown-toggle" type="button" id="usersAdminButton" data-toggle="dropdown" aria-haspopup="true" aria-expanded="false">
                                    <i class="fas fa-bars"></i>
                                </button>
                                <div class="dropdown-menu" aria-labelledby="usersAdminButton">
                                    <button-item
                                        url="{{ path('admin_user_modal', {'id':user.id, 'action' : 'edit' }) }}"
                                        text="Gérer les rôles"
                                        icon="edit"
                                        classes="edit-rules btn btn-edit btn-lg white-link dropdown-item"
                                        action="edit"
                                        ident="{{ user.id }}"
                                        cible="#lic_user_edit_modal"
                                    ></button-item>
                                    <button-item
                                        url="{{ path('admin_user_modal', {'id':user.id, 'action' : 'ban' }) }}"
                                        text="Bannir"
                                        icon="ban"
                                        classes="edit-ban btn btn-danger btn-lg  dropdown-item"
                                        action="ban"
                                        ident="{{ user.id }}"
                                        cible="#lic_user_ban_modal"
                                    ></button-item>
                                    {% if user.temporaryBanned == true or user.banned == true %}
                                        <button-item
                                            url="{{ path('admin_user_modal', {'id':user.id, 'action' : 'deban' }) }}"
                                            text="Débannir"
                                            icon="thumbs-up"
                                            classes="edit-deban btn btn-success btn-lg  dropdown-item"
                                            action="deban"
                                            ident="{{ user.id }}"
                                            cible="#lic_user_deban_modal"
                                        ></button-item>
                                    {% endif %}
                                    <button-item
                                            url="{{ path('admin_user_modal', {'id':user.id, 'action' : 'delete' }) }}"
                                            text="Supprimer"
                                            icon="trash"
                                            classes="delete btn btn-trash btn-lg white-link dropdown-item"
                                            action="delete"
                                            ident="{{ user.id }}"
                                            cible="#lic_user_delete_modal"
                                    ></button-item>

                                </div>
                            </div>
                        </td>
                    </tr>

                {% endfor %}
                </tbody>
            </table>
        </div>
    </div>
</div>
